from typing import Any

from PySide6.QtCore import QObject, Signal


class ImageReaderModel(QObject):
    loadedSignal = Signal(Any)

    def __init__(self):
        super().__init__()

    def loaded(self, image):
        self.loadedSignal.emit(image)


image_reader_model = ImageReaderModel()
